// BookTestCol.h: interface for the BookTestCol class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BOOKTESTCOL_H__CD6CF61D_0C39_4277_A9E8_43D440C62935__INCLUDED_)
#define AFX_BOOKTESTCOL_H__CD6CF61D_0C39_4277_A9E8_43D440C62935__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <deque>
#include <SpvHfile.h>
#include "BookTestPacket.h"

class BookTestCol : public SpvBase  
{
public:
	BookTestCol();
	virtual ~BookTestCol();

	virtual void Start();

protected:
	virtual void ResetThread();

    virtual void PacketInThread();

	virtual void PacketOutThread();

    unsigned TransferFunc(unsigned received);

    bool Compare(unsigned received, unsigned expected);


protected:
    SpvEvent                m_PClock;
    SpvSig                  m_ResetN;

    vector< SpvTProcCtrl* > m_ProcCtrls;

    deque< unsigned >       m_DataFifo;
};

#endif // !defined(AFX_BookTestCol_H__CD6CF61D_0C39_4277_A9E8_43D440C62935__INCLUDED_)
