// BookTestTb.cpp: implementation of the BookTestTb class.
//
//////////////////////////////////////////////////////////////////////
#include "BookTestTb.h"
#include "BookTestDriver.h"
#include "BookTestCol.h"
#include <SpvCoverage.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

BookTestTb::BookTestTb()
{
	m_Driver	= new BookTestDriver;
	m_Col		= new BookTestCol;
	m_Cov		= new SpvCoverage;
}

BookTestTb::~BookTestTb()
{

}

void BookTestTb::Start()
{
	m_Driver->Start();
	m_Col->Start();
}
