#ifndef __DUT_INCLUDED__
#define __DUT_INCLUDED__

#include "SpvHfile.h"
#include "SpvNullSim.h"

//Submodule definition
class	Dut : public SpvModule
{
	friend class top;
	SpvWireConnection	m_Clk;
	
public:
    Dut(SpvModule *owner,string name);

	void OnInitSim();

    void OnInitial();

    //Connect outer module's clk sig to m_Clk wire
    void InitConnection(SpvSig &clk);


    //Atomic process on negative edge of clock
	void NegClkFunc(); 
};

#endif

